Element details
type: meya.analytics.integration
class: AnalyticsIntegration
path: /meya/analytics/integration/integration.py
signature: -
Fields
| field | description | required | signature | default | type |
|---|---|---|---|---|---|
| spec | Override the original spec for this element. | ○ | ○ | null | Spec |
| enabled | Enables the integration, allowing it to process events and HTTP/WS entries. | ○ | ○ | true | bool |
| filter | Specifies the GridQL to filter rx_sub, rx, tx, tx_pubentries. Check the integration filtering guidefor more info. | ○ | ○ | rx_sub: true rx: true tx: true tx_pub: true | IntegrationFilter |
| verify_token | The token to be verified for each incoming request. You need to add the verify_token=YOUR_TOKEN query parameter to integration's webhook URL. | ○ | ○ | null | str |
| max_attachment_size | Controls maximum attachment size supported by the integration in bytes. | ○ | ○ | null | int |
| track_entries | ○ | ○ | true | bool | |
| tracked_entries | ○ | ○ | [] | list | |
| untracked_entries | ○ | ○ | [] | list | |
| track_user_data | ○ | ○ | true | bool | |
| tracked_user_data | ○ | ○ | [] | list | |
| untracked_user_data | ○ | ○ | [] | list | |
Usage reference
Basic
type: meya.analytics.integration
Full
type: meya.analytics.integration
spec:
type: STRING
data:
STRING: ANY
timeout: 123
trigger_when: ANY
enabled: false
filter:
rx_sub: STRING
rx: STRING
tx: STRING
tx_pub: STRING
verify_token: STRING
max_attachment_size: 123
track_entries: false
tracked_entries:
- STRING
untracked_entries:
- STRING
track_user_data: false
tracked_user_data:
- STRING
untracked_user_data:
- STRING
